> ## Documentation Index
> Fetch the complete documentation index at: https://developer.lemlist.com/llms.txt
> Use this file to discover all available pages before exploring further.

> Retrieves a lead using their email address or lead ID.

# Get Lead by Email or ID

export const SnippetObjectReference = ({objectName, objectPath = null}) => {
  const lowerCaseObjectName = objectName.toLowerCase();
  if (lowerCaseObjectName === 'lead' || lowerCaseObjectName === 'leads') {
    return <Note>
        This endpoint uses the <a href={`/api-reference/objects-definitions/${objectPath}`}>{objectName} object</a>. Make sure to also check the <a href={`/api-reference/objects-definitions/${lowerCaseObjectName === 'lead' ? 'contact' : 'lead'}`}>{lowerCaseObjectName === 'lead' ? 'Contact' : 'Lead'} object</a> to understand the distinction between the two.
      </Note>;
  }
  return <Note>
      This endpoint uses the <a href={`/api-reference/objects-definitions/${objectPath}`}>{objectName} object</a>.
    </Note>;
};

<SnippetObjectReference objectName="Lead" objectPath="lead" />

<Note>
  You should use at least one query parameter: `email` or `id`. If both are provided, the email will take precedence.
</Note>


## OpenAPI

````yaml get /leads
openapi: 3.0.0
info:
  title: lemlist API
  version: 1.0.0
  description: >-
    Welcome to the lemlist Developer Documentation.


    lemlist is very customizable and open. You'll find on this page all the API
    and integration you can do with lemlist.


    # Rate Limit


    lemlist's API rate limits requests in order to prevent abuse and overload of
    our services.  

    Rate limits are applied on all routes and per API key performing the
    request.  

    The rate limits are **20** requests per **2** seconds.  

    The response provides any information you may need about it:


    | Header | Description |

    | --- | --- |

    | Retry-After | The number of seconds in which you can retry |

    | X-RateLimit-Limit | The maximum requests in that time |

    | X-RateLimit-Remaining | The number of remaining requests you can make |

    | X-RateLimit-Reset | The date when the rate limit will reset |


    _Example of values for the rate limit headers_


    ``` json

    {
        "Retry-After": 2,
        "X-RateLimit-Limit": 20,
        "X-RateLimit-Remaining": 7,
        "X-RateLimit-Reset" : "Tue Feb 16 2021 09:02:42 GMT+0100 (Central European Standard Time)"
    }

     ```

    # Definitions


    ## Team


    A team is the entity of lemlist that can handle users and billing.


    ## Credits


    Credits are the coins a team uses to enrich emails, LinkedIn URLs, etc. via
    the enrich route. Each enrichment feature needs a certain amount of credits
    to run.


    ## User


    You use a user account to connect to lemlist and send messages via the
    connected emails or LinkedIn account.


    ## Campaign


    A campaign is the entity to automate outreach. A campaign has multiple
    sequences composed of steps.


    ## Lead


    A lead is a person that you try to contact via a campaign.


    ## Activity


    An activity is the history of all the steps.


    ## Unsubscribe


    An unsubscribe occurs when a person decides they don't want to receive
    emails from you anymore.


    # Authentication


    All API routes use the dedicated subdomain `api.lemlist.com`.


    lemlist uses API keys to allow access to the API. You can get your lemlist
    API key at our [integration
    page](https://app.lemlist.com/settings/integrations).


    You need to add the `Authorization` header using the `Basic` authentication
    type. `login:password` **where the login is always empty and the password is
    the API key**.


    ⚠️ **Don't forget to add the semicolon (**`:`**) before your API key in curl
    command.**


    > To authorize, use this code: 
      

    ``` shell

    curl https://api.lemlist.com/api/team \
      --user ":YourApiKey"

     ```

    **Make sure to replace** **`YourApiKey`** **with your API key.**


    # Give feedback


    If you want to report a bug, ask for data, or share with us a use case,
    please fill this [form](https://lemlist.typeform.com/to/mfVlkyGf). It will
    help us centralize your needs!
servers:
  - url: https://api.lemlist.com/api
security:
  - basicAuth: []
paths:
  /leads:
    get:
      tags:
        - Leads
      summary: Get Lead by Email or ID
      description: Retrieve a lead using either their email address or lead ID
      parameters:
        - name: id
          in: query
          required: false
          description: The lead ID. You should use at least one of 'email' or 'id'.
          example: lea_8xJSc7sV7ggpiVnXe
          schema:
            type: string
        - name: email
          in: query
          required: false
          description: The lead email. You should use at least one of 'email' or 'id'.
          example: john.doe@domain.com
          schema:
            type: string
        - name: version
          in: query
          required: false
          description: API version. v2 is the only option
          example: v2
          schema:
            type: string
            enum:
              - v2
      responses:
        '200':
          description: Success
          content:
            application/json:
              schema:
                type: object
                properties:
                  email:
                    type: string
                    format: email
                    description: Email address of the lead
                  firstName:
                    type: string
                    description: First name of the lead
                  lastName:
                    type: string
                    description: Last name of the lead
                  companyName:
                    type: string
                    description: Company name
                  jobTitle:
                    type: string
                    description: Job title
                  companyDomain:
                    type: string
                    description: Company domain
                  _id:
                    type: string
                    description: Unique identifier for the lead
                  isPaused:
                    type: boolean
                    description: Indicates if the lead is paused
                  campaignId:
                    type: string
                    description: ID of the campaign the lead is associated with
                  contactId:
                    type: string
                    description: Associated contact ID (if any)
                  emailStatus:
                    type: string
                    description: Email status of the lead
              example:
                firstName: John
                lastName: Doe
                companyName: lemlist
                jobTitle: GTM Engineer
                companyDomain: example.com
                email: support@lemlist.com
                _id: lea_fiDpiGV585wy3Oii2
                isPaused: false
                campaignId: cam_bSn8EORHQxbWPjHvu
                contactId: ctc_xW8Ou6C03Csv8vatp
                emailStatus: deliverable
        '400':
          description: Bad team
          content:
            text/plain:
              example: Bad team
        '401':
          description: Unauthorized
        '404':
          description: Lead not found
          content:
            text/plain:
              example: Lead not found
components:
  securitySchemes:
    basicAuth:
      type: http
      scheme: basic

````